Merge Rev Users
Merges the secondary Rev user into the primary Rev user.
Required scopes:
rev_user:all
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The ID of the primary Rev user, which will be retained.
idThe ID of the secondary Rev user, which will be merged into the Primary Rev user.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/rev-users.merge" \ -H "Content-Type: application/json" \ -d '{ "primary_user": "string", "secondary_user": "string" }'{}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}List Rev Users GET
Returns a list of all Rev Users belonging to the authenticated user's Dev organization. **Required scopes:** - `rev_user:read` OR `rev_user:write` OR `rev_user:all`
Scan Rev Users (POST) POST
Scans through all Rev users. **Required scopes:** - `rev_user:read` OR `rev_user:write` OR `rev_user:all`